@tailwind base;
@tailwind components;
@tailwind utilities;

@import url(./header.css);
@import url(./cart.css);
@import url(./products.css);
@import url(./modal.css);
@import url(./adminNavbar.css);
@import url(./adminPedidos.css);

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  outline: none;
}

body {
  transition: all 0.5s ease;
}

.wrapper {
  max-width: 1340px;
  width: 88%;
  margin: 0 auto
}

@media screen and (max-width: 1280px) {
  .wrapper {
    width: 92%;
  }
}

.not-scroll::-webkit-scrollbar {
  display: none;
}

.loginButton {
  @apply
  flex 
  justify-center 
  border 
  w-full 
  border-gray-300 
  rounded-full 
  p-2
bg-white 
  bg-opacity-60 
  cursor-pointer 
  hover:shadow-md 
  hover:bg-opacity-100 
  duration-150 
  ease-in-out
  mb-4
}

.input {
  @apply
  block
  w-full
  px-3
  py-2
  text-base
  font-normal
text-gray-700
bg-white bg-clip-padding
  border border-solid 
border-gray-300
  rounded
  transition
  ease-in-out
focus:text-gray-700 
focus:bg-white 
focus:border-blue-600 
  focus:outline-none
}